NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.GuidedExtensionBuilderEx Class Reference

Represents a NXOpen.Features.GuidedExtensionEx builder More...

Inheritance diagram for NXOpen.Features.GuidedExtensionBuilderEx:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  SegmentType { Normal, Transition, Bypass }
 Segment type for segments More...
 
enum  Types { TangentFromFaces, Vector }
 Option types to create guided extension surface More...
 

Public Member Functions

unsafe void ChangeFacesSideOption (bool flipFacesSideOption)
 Changes the option for the side of faces More...
 
unsafe void ChangeGuideLineDirectionAndLength (NXOpen.Curve guideLine, NXOpen.Vector3d guideLineVector, double guideLineLength)
 Changes the direction and length of a guide line. More...
 
unsafe NXOpen.Curve CreateGuideLine (NXOpen.Edge assocEdge, NXOpen.Point3d guideLinePnt, NXOpen.Vector3d guideLineVector, double guideLineLength)
 Creates a guide line at one of the end points of the sheet edge in the selection. More...
 
unsafe void MergeSegment ()
 Merges the selected segment with its neighboring segments. More...
 
unsafe void ResetAllSegments ()
 The action that resets all the segments in the loop to their original state More...
 
unsafe void RestoreSegments ()
 Unmerges the selected segment restoring the original segments before the merge using NXOpen.Features.GuidedExtensionBuilderEx.MergeSegment . More...
 
unsafe void SetReverseExtendDirection (bool reverseExtendDirection)
 Reverses surface extend direction More...
 
unsafe void SetSelectedSegmentType (NXOpen.Features.GuidedExtensionBuilderEx.SegmentType segmentType)
 Sets the segment type for the selected segment. More...
 
unsafe void SplitSegment ()
 Splits the selected segment into multiple segments by placing guide lines at end points of the edges for the selected segment. More...
 
unsafe void UpdateAllGuideLinesLength ()
 Updates the length of all the guide lines whenever the user changes the extend length of the surfaces interactively. More...
 
unsafe void UpdateExtendDirectionsAndGuideLines (bool typeChanged)
 Updates the extend direction of curves and guide lines whenever the type of guided extension or the draw direction changes. More...
 
unsafe void UpdateSheetEdges ()
 Updates the information for the sheet edges of the selected section whenever sheet edges are selected or de-selected. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double AngleTolerance [get, set]
 Returns or sets the angle tolerance for use in creating the guided extension surfaces More...
 
unsafe bool CheckSurfaces [get, set]
 Returns or sets the option for checking the resulting guided extension surfaces for geometry issues More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance for use in creating the guided extension surfaces More...
 
unsafe NXOpen.Expression ExtendLength [get]
 Returns the extend length for use in creating the guided extension surfaces More...
 
unsafe NXOpen.Expression GuideLineAngle1 [get]
 Returns the rotation angle for the first guide line at one of the end points of the selected segment More...
 
unsafe NXOpen.Expression GuideLineAngle2 [get]
 Returns the rotation angle for the second guide line at one of the end points of the selected segment More...
 
unsafe int LastSelectedLoopIndex [get, set]
 Returns or sets the loop index for the last selected loop which contains the last selected edge. More...
 
unsafe bool PlanarSurfacePreferred [get, set]
 Returns or sets the option to create planar surface when possible More...
 
unsafe NXOpen.Direction ReferenceVector [get, set]
 Returns or sets the reference vector which is active when the type is vector More...
 
unsafe NXOpen.ScCollector SegmentEdges [get]
 Returns the list of segment edges that represent a segment More...
 
unsafe NXOpen.Section SheetEdges [get]
 Returns the sheet edges of a sheet body More...
 
unsafe
NXOpen.Features.GuidedExtensionBuilderEx.Types 
Type [get, set]
 Returns or sets the option type to create guided extension surface More...
 
unsafe NXOpen.Point VectorOrigin [get, set]
 Returns or sets the origin of the reference vector More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.GuidedExtensionEx builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateGuidedExtensionBuilderEx

Default values.

Property Value

AngleTolerance

0.5

CheckSurfaces

0

DistanceTolerance

0.01

ExtendLength.Value

10 (millimeters part), 10 (inches part)

GuideLineAngle1.Value

0

GuideLineAngle2.Value

0

PlanarSurfacePreferred

1

Created in NX10.0.0

Member Enumeration Documentation

Segment type for segments

Enumerator
Normal 

Normal segment type

Transition 

Transition segment type

Bypass 

Bypass segment type

Option types to create guided extension surface

Enumerator
TangentFromFaces 

Extend tangentially from faces

Vector 

Perpendicular to a vector

Member Function Documentation

unsafe void NXOpen.Features.GuidedExtensionBuilderEx.ChangeFacesSideOption ( bool  flipFacesSideOption)
inline

Changes the option for the side of faces

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
flipFacesSideOptionChange the side of faces option
unsafe void NXOpen.Features.GuidedExtensionBuilderEx.ChangeGuideLineDirectionAndLength ( NXOpen.Curve  guideLine,
NXOpen.Vector3d  guideLineVector,
double  guideLineLength 
)
inline

Changes the direction and length of a guide line.

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
guideLineGuide line to be changed
guideLineVectorDirection vector
guideLineLengthLength of guide line
unsafe NXOpen.Curve NXOpen.Features.GuidedExtensionBuilderEx.CreateGuideLine ( NXOpen.Edge  assocEdge,
NXOpen.Point3d  guideLinePnt,
NXOpen.Vector3d  guideLineVector,
double  guideLineLength 
)
inline

Creates a guide line at one of the end points of the sheet edge in the selection.

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
assocEdgeAssociated curve of the guide line to be created
guideLinePntGuide line point
guideLineVectorGuide line vector
guideLineLengthGuide line length
Returns
Guide line created
unsafe void NXOpen.Features.GuidedExtensionBuilderEx.MergeSegment ( )
inline

Merges the selected segment with its neighboring segments.

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Features.GuidedExtensionBuilderEx.ResetAllSegments ( )
inline

The action that resets all the segments in the loop to their original state

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Features.GuidedExtensionBuilderEx.RestoreSegments ( )
inline

Unmerges the selected segment restoring the original segments before the merge using NXOpen.Features.GuidedExtensionBuilderEx.MergeSegment .

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Features.GuidedExtensionBuilderEx.SetReverseExtendDirection ( bool  reverseExtendDirection)
inline

Reverses surface extend direction

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
reverseExtendDirectionReverse surface extend direction
unsafe void NXOpen.Features.GuidedExtensionBuilderEx.SetSelectedSegmentType ( NXOpen.Features.GuidedExtensionBuilderEx.SegmentType  segmentType)
inline

Sets the segment type for the selected segment.

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
segmentTypeSegment type for the selected segment
unsafe void NXOpen.Features.GuidedExtensionBuilderEx.SplitSegment ( )
inline

Splits the selected segment into multiple segments by placing guide lines at end points of the edges for the selected segment.

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Features.GuidedExtensionBuilderEx.UpdateAllGuideLinesLength ( )
inline

Updates the length of all the guide lines whenever the user changes the extend length of the surfaces interactively.

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Features.GuidedExtensionBuilderEx.UpdateExtendDirectionsAndGuideLines ( bool  typeChanged)
inline

Updates the extend direction of curves and guide lines whenever the type of guided extension or the draw direction changes.

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
typeChanged
unsafe void NXOpen.Features.GuidedExtensionBuilderEx.UpdateSheetEdges ( )
inline

Updates the information for the sheet edges of the selected section whenever sheet edges are selected or de-selected.

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Property Documentation

unsafe double NXOpen.Features.GuidedExtensionBuilderEx.AngleTolerance
getset

Returns or sets the angle tolerance for use in creating the guided extension surfaces

Created in NX10.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Features.GuidedExtensionBuilderEx.CheckSurfaces
getset

Returns or sets the option for checking the resulting guided extension surfaces for geometry issues

Created in NX10.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Features.GuidedExtensionBuilderEx.DistanceTolerance
getset

Returns or sets the distance tolerance for use in creating the guided extension surfaces

Created in NX10.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Features.GuidedExtensionBuilderEx.ExtendLength
get

Returns the extend length for use in creating the guided extension surfaces

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Features.GuidedExtensionBuilderEx.GuideLineAngle1
get

Returns the rotation angle for the first guide line at one of the end points of the selected segment

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Features.GuidedExtensionBuilderEx.GuideLineAngle2
get

Returns the rotation angle for the second guide line at one of the end points of the selected segment

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe int NXOpen.Features.GuidedExtensionBuilderEx.LastSelectedLoopIndex
getset

Returns or sets the loop index for the last selected loop which contains the last selected edge.

Created in NX10.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Features.GuidedExtensionBuilderEx.PlanarSurfacePreferred
getset

Returns or sets the option to create planar surface when possible

Created in NX10.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Direction NXOpen.Features.GuidedExtensionBuilderEx.ReferenceVector
getset

Returns or sets the reference vector which is active when the type is vector

Created in NX10.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.Features.GuidedExtensionBuilderEx.SegmentEdges
get

Returns the list of segment edges that represent a segment

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Section NXOpen.Features.GuidedExtensionBuilderEx.SheetEdges
get

Returns the sheet edges of a sheet body

Created in NX10.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Features.GuidedExtensionBuilderEx.Types NXOpen.Features.GuidedExtensionBuilderEx.Type
getset

Returns or sets the option type to create guided extension surface

Created in NX10.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Point NXOpen.Features.GuidedExtensionBuilderEx.VectorOrigin
getset

Returns or sets the origin of the reference vector

Created in NX10.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.